<?xml version="1.0" encoding="utf-8" ?>
<odoo>
    <!-- FORM -->
    <record id="view_move_form_duplicated_supplier_invoice" model="ir.ui.view">
        <field name="name">account.move.form.duplicated.supplier.invoice</field>
        <field name="model">account.move</field>
        <field name="inherit_id" ref="account.view_move_form" />
        <field name="arch" type="xml">
            <xpath expr="//form/header" position="after">
                <div
                    class="alert alert-warning mb-0"
                    role="alert"
                    attrs="{'invisible': ['|', ('move_type', 'not in', ('in_invoice', 'in_refund')), ('has_duplicated_invoices', '=', False)]}"
                >
                    <field name="has_duplicated_invoices" invisible="1" />
                    Found <button
                        name="action_open_duplicated_invoices"
                        string="duplicated invoices"
                        type="object"
                        class="btn-link"
                        style="padding:0px 0px 1px 0px;"
                    /> with the same <strong>Bill Reference</strong> on this partner.
                </div>
            </xpath>
        </field>
    </record>

    <!-- SEARCH -->
    <record id="view_account_invoice_filter_ux" model="ir.ui.view">
        <field name="name">account.invoice.select.ux</field>
        <field name="model">account.move</field>
        <field name="inherit_id" ref="account.view_account_invoice_filter" />
        <field name="arch" type="xml">
            <xpath expr="//search" position="inside">
                <field name="amount_total_signed" />
            </xpath>
            <xpath expr="//search/group" position="inside">
                <filter
                    string="Accounting Date"
                    name="grp_accounting_date"
                    context="{'group_by': 'date'}"
                    invisible="context.get('default_move_type') in ('out_invoice', 'out_refund', 'out_receipt')"
                />
            </xpath>
        </field>
    </record>

    <record id="view_account_move_filter_ux" model="ir.ui.view">
        <field name="name">account.move.select.ux</field>
        <field name="model">account.move</field>
        <field name="inherit_id" ref="account.view_account_move_filter" />
        <field name="arch" type="xml">
            <xpath expr="//search" position="inside">
                <field name="amount_total_signed" />
            </xpath>
        </field>
    </record>
</odoo>
